




<!-- NEWS.md was auto-generated by NEWS.Rmd. Please DO NOT edit by hand!-->

## Changes in version 0.9.14 (2021-07-21)

**This package version requires at least R \>= 4.0.5**

### Bugfixes and changes

#### `plot_AbanicoPlot()`

-   The function lost the parameter `output` (default `TRUE`), which was
    superfluous because the output was calculated regardless this
    option. Now the output is always returned, but invisible on the
    terminal. This has no user-visible effect and does not break old
    code.
-   The function had a long-standing nasty bug that caused overplotting
    if the function was called repeatedly  
    with par settings different from the default `par(mfrow = c(1,1))`;
    fixed.
-   In the case the plot was shown on different panels (e.g.,
    `par(mfrow = c(1,2))`) in combination with the option `dots = TRUE`,
    the function crashed with the cryptic message:
    `Error in rep(20, length(dots.x.i) - 1) : invalid 'times' argument`;
    fixed.

#### `analyse_FadingMeasurement()`

-   Apparently the function never worked as intended for `XSYG` files;
    fixed. To prevent further problems, a test was added that monitors
    this functionality.
-   The parameter `t_star` now supports `half_complex`, which uses the
    long equation from Auclair et al. (2003). The difference is of
    theoretical nature, however, now the two values can be compared.
-   The plotting speed was improved by limiting the number of shine-down
    curves to a maximum of ten. Likewise, the lines showing the error
    range is now a polygon instead of single lines.

#### `plot_RLum.Analysis()`

-   The function gained a new argument `records_max` enabling only a
    limited number of curves to be shown in the mode `combine = TRUE`.
    This avoids that a large number of curves become indistinguishable.
    The first and the last curve are always shown, all other curves are
    shown following an evenly distributed index interval.
-   The `...` argument `sub` (sub title of the plot) for
    `combine = TRUE` did not work properly due the R’s partial matching
    of arguments that conflicted with the argument `subset`. The
    argument `sub` was now renamed to `sub_title` to prevent this error
    from happening and support again sub titles.

#### `verify_SingleGrainData()`

-   Improve terminal and plot output
-   Add minimal support for `...` to control plot output if wanted
